var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, nothing, customElement, property } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../lit-element/index.js';
let UmbDateTableColumnViewElement = class UmbDateTableColumnViewElement extends UmbLitElement {
    render() {
        if (!this.value)
            return nothing;
        const date = new Date(this.value);
        return html `${date.toLocaleString()}`;
    }
};
__decorate([
    property({ attribute: false })
], UmbDateTableColumnViewElement.prototype, "value", void 0);
UmbDateTableColumnViewElement = __decorate([
    customElement('umb-date-table-column-view')
], UmbDateTableColumnViewElement);
export { UmbDateTableColumnViewElement };
